package com.neusoft.smart.pos.ota.constants;


import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 业务错误信息使用枚举类
 */
public enum OTAErrorCode implements CommonCode {
	
	VERSION_FORMAT_ERROR("9001", "更新包版本格式错误"),
	VERSION_DUPLICATE("9002", "更新包版本重复"),
	LOAD_REDIS_ERROR("9003", "从数据库导入redis数据错误"),
	CAN_NOT_DELETE("9004", "存在有效更新策略，不可删除版本"),
	APP_DUPLICATE("9005", "app名称和包名已存在"),
	APK_VERSION_DUPLICATE("9006", "apk版本已存在"),
	STRATEGY_NAME_DUPLICATE("9007", "策略名称重复");
	
	private String code;
	
	private String message;
	
	private OTAErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getMessage() {
		return message;
	}
	
	public void setMessage(String message) {
		this.message = message;
	}
	
}
